'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');

const SfAccordionItem = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const attributes = qwik._restProps(props, [
    "ref",
    "open",
    "onToggle$",
    "summaryClass"
  ]);
  const handleClick = /* @__PURE__ */ qwik.inlinedQrl(() => {
    const [props2] = qwik.useLexicalScope();
    props2.onToggle$?.(!props2.open);
  }, "SfAccordionItem_component_handleClick_NScvHQ0SHIQ", [
    props
  ]);
  return /* @__PURE__ */ qwik._jsxS("details", {
    ...props.ref ? {
      ref: props.ref
    } : {},
    ...attributes,
    children: [
      /* @__PURE__ */ qwik._jsxQ("summary", {
        class: [
          props.summaryClass,
          "list-none [&::-webkit-details-marker]:hidden cursor-pointer focus-visible:outline focus-visible:outline-offset focus-visible:outline focus-visible:rounded-sm"
        ]
      }, {
        onClick$: handleClick,
        "preventdefault:click": true
      }, /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "XL_0"), 1, null),
      /* @__PURE__ */ qwik._jsxC(qwik.Slot, {
        name: "detail",
        [qwik._IMMUTABLE]: {
          name: qwik._IMMUTABLE
        }
      }, 3, "XL_1")
    ]
  }, {
    "data-testid": "accordion-item",
    open: qwik._fnSignal((p0) => p0.open, [
      props
    ], "p0.open")
  }, 0, "XL_2");
}, "SfAccordionItem_component_RWoYAiHZ2eE"));

exports.SfAccordionItem = SfAccordionItem;
