'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('../SfIconBase/types.qwik.cjs');
const SfIconBase = require('../SfIconBase/SfIconBase.qwik.cjs');

const SfIconChevronLeft = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ qwik._jsxC(SfIconBase.SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M14.706 17.297a.998.998 0 0 0 0-1.41l-3.876-3.885 3.877-3.885a.998.998 0 0 0-1.412-1.41l-4.588 4.588a1 1 0 0 0 0 1.414l4.588 4.588a.997.997 0 0 0 1.41 0Z"
    }, null, 3, null),
    "data-testid": "chevron-left",
    size,
    viewBox,
    [qwik._IMMUTABLE]: {
      "data-testid": qwik._IMMUTABLE
    }
  }, 0, "Zr_0");
}, "SfIconChevronLeft_component_K5bUjHnFsgA"));

exports.SfIconChevronLeft = SfIconChevronLeft;
