import { componentQrl, inlinedQrl, _jsxC, _jsxQ, _IMMUTABLE } from '@builder.io/qwik';
import { SfIconSize } from '../SfIconBase/types.qwik.mjs';
import { SfIconBase } from '../SfIconBase/SfIconBase.qwik.mjs';

const SfIconCircle = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M22 12c0 5.523-4.477 10-10 10S2 17.523 2 12 6.477 2 12 2s10 4.477 10 10Z"
    }, null, 3, null),
    "data-testid": "circle",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "W8_0");
}, "SfIconCircle_component_uYoVSHZ57Ko"));

export { SfIconCircle };
