import { componentQrl, inlinedQrl, _jsxC, _jsxQ, _IMMUTABLE } from '@builder.io/qwik';
import { SfIconSize } from '../SfIconBase/types.qwik.mjs';
import { SfIconBase } from '../SfIconBase/SfIconBase.qwik.mjs';

const SfIconCreditCard = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M20 4H4c-1.11 0-1.99.89-1.99 2L2 18c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V6c0-1.11-.89-2-2-2Zm0 14H4v-6h16v6Zm0-10H4V6h16v2Z"
    }, null, 3, null),
    "data-testid": "credit-card",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "IT_0");
}, "SfIconCreditCard_component_k1Hm3MG16Ds"));

export { SfIconCreditCard };
