import { componentQrl, inlinedQrl, _jsxC, _jsxQ, _IMMUTABLE } from '@builder.io/qwik';
import { SfIconSize } from '../SfIconBase/types.qwik.mjs';
import { SfIconBase } from '../SfIconBase/SfIconBase.qwik.mjs';

const SfIconIndeterminateCheckBox = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      clipRule: "evenodd",
      d: "M3 5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5Zm14 7a1 1 0 0 1-1 1H8a1 1 0 1 1 0-2h8a1 1 0 0 1 1 1Z",
      fillRule: "evenodd"
    }, null, 3, null),
    "data-testid": "indeterminate-check-box",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Wf_0");
}, "SfIconIndeterminateCheckBox_component_427ZricbCS0"));

export { SfIconIndeterminateCheckBox };
