'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const jsxRuntime = require('@builder.io/qwik/jsx-runtime');
const types = require('../SfIconBase/types.qwik.cjs');
const SfIconBase = require('../SfIconBase/SfIconBase.qwik.cjs');

const SfIconInfo = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ qwik._jsxC(SfIconBase.SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ qwik._jsxC(jsxRuntime.Fragment, {
      children: [
        /* @__PURE__ */ qwik._jsxQ("path", null, {
          d: "M13.25 8a1.25 1.25 0 1 1-2.5 0 1.25 1.25 0 0 1 2.5 0ZM11 16a1 1 0 1 0 2 0v-4a1 1 0 1 0-2 0v4Z"
        }, null, 3, null),
        /* @__PURE__ */ qwik._jsxQ("path", null, {
          clipRule: "evenodd",
          d: "M2 12C2 6.48 6.48 2 12 2s10 4.48 10 10-4.48 10-10 10S2 17.52 2 12Zm2 0c0 4.41 3.59 8 8 8s8-3.59 8-8-3.59-8-8-8-8 3.59-8 8Z",
          fillRule: "evenodd"
        }, null, 3, null)
      ]
    }, 3, "n4_0"),
    "data-testid": "info",
    size,
    viewBox,
    [qwik._IMMUTABLE]: {
      "data-testid": qwik._IMMUTABLE
    }
  }, 0, "n4_1");
}, "SfIconInfo_component_lT4xW25RUe4"));

exports.SfIconInfo = SfIconInfo;
