import { componentQrl, inlinedQrl, _jsxC, _jsxQ, _IMMUTABLE } from '@builder.io/qwik';
import { SfIconSize } from '../SfIconBase/types.qwik.mjs';
import { SfIconBase } from '../SfIconBase/SfIconBase.qwik.mjs';

const SfIconMenu = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M4 18a1 1 0 1 1 0-2h16a1 1 0 1 1 0 2H4Zm0-5a1 1 0 1 1 0-2h16a1 1 0 1 1 0 2H4ZM3 7a1 1 0 0 1 1-1h16a1 1 0 1 1 0 2H4a1 1 0 0 1-1-1Z"
    }, null, 3, null),
    "data-testid": "menu",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "uG_0");
}, "SfIconMenu_component_Adv02HVGFq4"));

export { SfIconMenu };
