'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('../SfIconBase/types.qwik.cjs');
const SfIconBase = require('../SfIconBase/SfIconBase.qwik.cjs');

const SfIconThumbUp = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ qwik._jsxC(SfIconBase.SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M7 22V9l6-5.95c.25-.25.546-.396.887-.438a1.66 1.66 0 0 1 .988.188c.317.167.55.4.7.7.15.3.183.609.1.925L14.55 9H21c.533 0 1 .2 1.4.6.4.4.6.867.6 1.4v2c0 .117-.017.242-.05.375s-.067.258-.1.375l-3 7.05c-.15.334-.4.617-.75.85-.35.234-.717.35-1.1.35H7ZM9 9.85V20h9l3-7v-2h-9l1.35-5.5L9 9.85ZM4 22c-.55 0-1.02-.195-1.412-.587A1.927 1.927 0 0 1 2 20v-9c0-.55.196-1.02.588-1.413A1.925 1.925 0 0 1 4 9h3v2H4v9h3v2H4Z"
    }, null, 3, null),
    "data-testid": "thumb-up",
    size,
    viewBox,
    [qwik._IMMUTABLE]: {
      "data-testid": qwik._IMMUTABLE
    }
  }, 0, "D2_0");
}, "SfIconThumbUp_component_8F1v5pFxnco"));

exports.SfIconThumbUp = SfIconThumbUp;
