import { componentQrl, inlinedQrl, _restProps, _jsxS } from '@builder.io/qwik';

const SfSwitch = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const attributes = _restProps(props, [
    "ref",
    "invalid",
    "class"
  ]);
  return /* @__PURE__ */ _jsxS("input", {
    ...props.ref ? {
      ref: props.ref
    } : {},
    class: `appearance-none h-5 min-w-[36px] bg-transparent border-2 border-gray-500 rounded-full relative ease-in-out duration-300 
          hover:border-primary-800 hover:before:checked:bg-white checked:before:left-1/2 checked:before:ml-0 checked:before:mr-0.5 disabled:before:bg-gray-500/50 
          hover:before:bg-primary-800 active:border-primary-800 active:before:bg-primary-800 checked:bg-none checked:bg-primary-700 checked:border-primary-700 
          checked:before:bg-white hover:checked:bg-primary-800 hover:checked:border-primary-800 disabled:border-gray-500/50 checked:disabled:before:bg-white 
          checked:disabled:bg-gray-500/50 checked:disabled:border-0 before:transition-all  before:w-3.5 before:h-3.5 before:bg-gray-500 before:absolute before:top-0 
          before:bottom-0 before:my-auto before:rounded-full before:left-0 before:ml-0.5 before:ease-in-out before:duration-300 cursor-pointer disabled:cursor-not-allowed 
          focus-visible:outline focus-visible:outline-offset 
            ${props.invalid ? "border-negative-700 hover:border-negative-800 active:border-negative-900 before:bg-negative-900" : ""}
            ${props.class}`,
    ...attributes
  }, {
    "data-testid": "switch",
    role: "switch",
    type: "checkbox"
  }, 0, "cS_0");
}, "SfSwitch_component_cRQWNshc0js"));

export { SfSwitch };
