import { componentQrl, inlinedQrl, _restProps, _jsxS, _jsxQ, _jsxC, Slot, _IMMUTABLE, _fnSignal, useLexicalScope } from '@builder.io/qwik';

const SfAccordionItem = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const attributes = _restProps(props, [
    "ref",
    "open",
    "onToggle$",
    "summaryClass"
  ]);
  const handleClick = /* @__PURE__ */ inlinedQrl(() => {
    const [props2] = useLexicalScope();
    props2.onToggle$?.(!props2.open);
  }, "SfAccordionItem_component_handleClick_NScvHQ0SHIQ", [
    props
  ]);
  return /* @__PURE__ */ _jsxS("details", {
    ...props.ref ? {
      ref: props.ref
    } : {},
    ...attributes,
    children: [
      /* @__PURE__ */ _jsxQ("summary", {
        class: [
          props.summaryClass,
          "list-none [&::-webkit-details-marker]:hidden cursor-pointer focus-visible:outline focus-visible:outline-offset focus-visible:outline focus-visible:rounded-sm"
        ]
      }, {
        onClick$: handleClick,
        "preventdefault:click": true
      }, /* @__PURE__ */ _jsxC(Slot, null, 3, "XL_0"), 1, null),
      /* @__PURE__ */ _jsxC(Slot, {
        name: "detail",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "XL_1")
    ]
  }, {
    "data-testid": "accordion-item",
    open: _fnSignal((p0) => p0.open, [
      props
    ], "p0.open")
  }, 0, "XL_2");
}, "SfAccordionItem_component_RWoYAiHZ2eE"));

export { SfAccordionItem };
