'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');

const SfTooltip = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  qwik._restProps(props, [
    "children",
    "label",
    "class",
    "style",
    "showArrow"
  ]);
  const isOpen = qwik.useSignal(false);
  return /* @__PURE__ */ qwik._jsxQ("span", null, {
    /*{...getTriggerProps({ _class, style })}*/
    "data-testid": "tooltip"
  }, [
    /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "vL_0"),
    props.label && isOpen && /* @__PURE__ */ qwik._jsxQ("div", null, {
      class: "bg-black px-2 py-1.5 rounded-md text-white text-xs w-max max-w-[360px] drop-shadow",
      // {...getTooltipProps({
      role: "tooltip"
    }, [
      qwik._fnSignal((p0) => p0.label, [
        props
      ], "p0.label"),
      props.showArrow && /* @__PURE__ */ qwik._jsxQ("span", null, {
        class: "bg-black rotate-45"
        /*{...getArrowProps({ class: 'bg-black rotate-45' })}*/
      }, null, 3, "vL_1")
    ], 1, "vL_2")
  ], 1, "vL_3");
}, "SfTooltip_component_XZCZ8aOoh0U"));

exports.SfTooltip = SfTooltip;
